RJ's Like Plugin

I wanted to download RJ's Like plugin, but it seems that the download is not available, @R_J any news/infos about it?

Addon not found.

The addon you were looking for could not be found.

Tagged:

Comments

  • R_JR_J Ex-Fanboy Munich Moderator

    I started to prefix my plugins so that the like plugin is called "rj-like" instead of "like". But a dash in the name causes problems in the download section. I hope that will be fixed soon:

    Until then, you can download any of my plugins from GitHub:



    greenk
  • greenkgreenk New
    edited December 2019

    Thank you sir

    /edit

    i wanted to ask, is this plugin getin go become core function of the forum?

    Because i m thinking about to migrate my forum to discourse, because Vanilla is far away from "social" functions which discourse have.

    And it makes no sense for me to buy "premium" package from Vanilla for a forum with monthly 800k impressions, this would cost me like 5 dedicated servers just for having reactions/likes..

  • R_JR_J Ex-Fanboy Munich Moderator

    1. No, that plugin will not become official. But if you like it, where is the difference?

    2. There are plans to open source the official reactions plugin, but no time line as far as I know. Reactions are superior to my plugin. That's one of the reasons why my plugin surely will never become part of the official release

    3. There is no best forum, blog, cms or whatever script. If there is a forum script which is better suited you should use it.

    4. The paid version does not only differ in the reactions plugin. There are a bunch of additional benefits. Especially if you have a forum the hosted solution might be a wise choice


  • Works nicely. Good work!

  • greenkgreenk New
    edited January 5

    @R_J sir i have moved my whole forum to new server, similar configuration as the old one, but still i m geting error caused by your plugin:

    require_once('/var/www/domen...')\n#5 {main}\n thrown in /var/www/domain.com/plugins/rj-like/LikePlugin.php on line 71

    This happens on php7.2, on php7.3 and on 7.4 version..

    Any idea howto fix this sir?

    /edit

    i have installed clean vanilla 3.3 before on the server to test everything, and everything was good so far.. but without your plugin

  • R_JR_J Ex-Fanboy Munich Moderator

    Sounds as if you are not using the correct version. Download it from here

    Don't forget to delete the old plugin.


  • This version i have used from begin on, right now download it again, and replaced the files with the old ones, and the same error..

    Is there any chance do disable the plugin trough phpmyadmin/database in the settings and to delete the folder after that?

  • R_JR_J Ex-Fanboy Munich Moderator

    You can disable it by editng the /conf/config.php file. search for $Configuration['EnabledPlugins']['rj-like'] = true; and change i to $Configuration['EnabledPlugins']['rj-like'] = false;


    greenk
  • Still the same problem.. 🙄

  • R_JR_J Ex-Fanboy Munich Moderator

    Search through the enabled plugins in your config and disable them by setting them to "false". After that you can go to the dashboard and re-enable them


Sign In or Register to comment.